<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" href="../CSS/reset.css">
    <link rel="stylesheet" href="../CSS/html-basic.css">
</head>

<body>
    <h1>Introduction à HTML</h1>

    <section class="ele_de_base">
        <h2 id="ele-base">Elements de base</h2>

        <article>
            <h3>Les titres</h3>
            <p>Les titres vont de h1 à h6.</p>
        </article>

        <article>
            <h3>Les paragraphes</h3>
            <p>Les paragraphes sont créés via la balise p.</p>
        </article>

        <article>
            <h3>Les listes</h3>
            <h4>Les listes non ordonnées</h4>
            <p>Créées via la balise ul. Les éléments à l'intérieur
                sont créés via la balise li.</p>
            <ul>
                <li>Chien</li>
                <li>Chat</li>
                <li>Cheval</li>
            </ul>

            <h4>Les listes ordonnées</h4>
            <p>Créées via la balise ol. Les éléments à l'intérieur
                sont créés via la balise li.</p>
            <ol>
                <li>Chien</li>
                <li>Chat</li>
                <li>Cheval</li>
            </ol>

            <h4>Les listes de définition</h4>
            <p>Créées via la balise dl. Les éléments à l'intérieur
                sont créés par le couple de balise: dt et dd.</p>
            <dl>
                <dt>HTML</dt>
                <dd>Langage de programmation de page web</dd>
                <dt>CSS</dt>
                <dd>Langage de mise en forme / page de page web</dd>
            </dl>
        </article>

        <article>
            <h3>Les liens</h3>
            <p>Les liens permettent de naviguer entre documents
                HTML (où à l'intérieur d'un document HTML)</p>
            <p>Créés via la balise a</p>
            <p>Un lien externe
                <a href="http://www.example.com">vers example.com</a></p>
            <p>Un lien interne au site
                <a href="../CSS/hello.html">vers une page du site</a></p>
            <p>Un lien vers un endroit d'une page: il faut pointer
                (créér un anchor) sur un id.
                <a href="html-basic.html#ele-base">liens vers elements de base</a>
            </p>
        </article>

        <article>
            <h3>Images</h3>
            <p>Afficher une image: .gif, .jpeg, .png,...</p>
            <p><img src="https://media.giphy.com/media/2YjYpOl1eBy6I/giphy.gif" alt="mes vacances en thailande"></p>
        </article>

        <article>
            <h3>Les tables</h3>
            <p>Présenter du contenu de manière tabulaire.
                A ne pas utiliser pour la mise en page d'un site.
            </p>
            
            <table>
                <thead>
                    <tr>
                        <th>UK</th>
                        <th>FR</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>Hello</td>
                        <td>Bonjour</td>
                    </tr>
                    <tr>
                        <td>world</td>
                        <td>monde</td>
                    </tr>
                    <tr>
                        <td colspan="2">:-)</td>
                    </tr>
                </tbody>
            </table>


        </article>

    </section>

    <section class="types_elements">
        <h2>Types d'éléments</h2>
        <article>
            <h3>Elements de type block</h3>
            <h4>Caractéristiques</h4>
            <p>Sont suivis par défaut d'un retour à la ligne: h1..h6, p, ul...</p>
            <p>Par défaut font 100% de la width de leur parent.</p>
            <p>Leur hauteur est calculée par rapport à la hauteur de leur contenu.</p>
            <h4>Les divs</h4>
            <p>Les divs permettent de créer des blocs de contenu
                'neutres', sans sémantique particulière.
                Très utile pour styler des zones de contenu via du CSS.</p>
            <h4>Les éléments de structure de la page</h4>
            <p>Exemples: header, footer, section, article, aside, main,...</p>
        </article>
        <article>
            <h3>Elements inline</h3>
            <h4>Caractéristiques</h4>
            <p>Leur taille est calculée par rapport à la taille de leur contenu.</p>
            <p>Pas de retour à la ligne.</p>
            <p>Exemples: a, img.</p>
        </article>
    </section>

    <section class="trucs">
        <h2>Trucs pour bien construire une page HTML / CSS</h2>
        <article>
            <h3>Reset CSS</h3>
            <p>Tout à zéro => reset.css <a href="https://meyerweb.com/eric/tools/css/reset/">https://meyerweb.com/eric/tools/css/reset/</a></p>
            <p>Avec des valeurs de base => normalize.css <a href="https://necolas.github.io/normalize.css/">https://necolas.github.io/normalize.css/</a></p>
        </article>
        <article>
            <h3>box-sizing: border-box</h3>
            <p>Contrôle du <a href="https://www.w3.org/TR/css-box-3/">box-model</a> pour tous les navigateurs</p>
        </article>
    </section>

    <section class="specs">
            <h2>Spécifications HTML</h2>
            <article>
                <h3>W3C</h3>
                <p><a href="https://www.w3.org/TR/html/">https://www.w3.org/TR/html/</a></p>
            </article>
            <article>
                    <h3>WHATWG</h3>
                    <p><a href="https://html.spec.whatwg.org/multipage/">https://html.spec.whatwg.org/multipage/</a></p>
                </article>
            <h2>Spécifications CSS</h2>
            <article>
                <h3>Typographie</h3>
                <p><a href="https://www.w3.org/TR/2018/REC-css-fonts-3-20180920/">https://www.w3.org/TR/2018/REC-css-fonts-3-20180920/</a></p>
                <p>Note: les propriétés de fontes sont "héritées" par les éléments enfants.</p>
            </article>
            <article>
                <h3>Couleurs</h3>
                <p><a href="https://www.w3.org/TR/css-color-3/">https://www.w3.org/TR/css-color-3/</a></p>
            </article>
            <article>
                <h3>Box model</h3>
                <p><a href="https://www.w3.org/TR/css-box-3/">https://www.w3.org/TR/css-box-3/</a></p>
            </article>
        </section>
        <section class="sites">
                <h2>Quelques sites recommandés</h2>
                <article>
                    <h3>W3C</h3>
                    <p>Contient les spécifications HTML 5 et CSS</p>
                    <p><a href="https://www.w3.org/TR/html/">https://www.w3.org/TR/html/</a></p>
                    <h3>WHATWG</h3>
                    <p>Contient les spécifications HTML</p>
                    <p><a href="https://whatwg.org/">https://whatwg.org/</a></p>
                </article>
                <article>
                    <h3>Sites tiers</h3>
                    <p><a href="https://developer.mozilla.org">Mozilla Developer Network</a></p>
                    <p><a href="https://css-tricks.com/">CSS Tricks</a></p>
                    <p><a href="https://www.smashingmagazine.com/">Smashing Magazine</a></p>
                    <p><a href="https://learn.shayhowe.com/">Learn to Code HTML & CSS</a></p>
                </article>
        </section>
</body>

</html>